# Uses of Class
jebl.evolution.taxa.Taxon

Packages that use Taxon
Package
Description
jebl.evolution.alignments
jebl.evolution.characters
jebl.evolution.distances
jebl.evolution.io
jebl.evolution.sequences
jebl.evolution.taxa
jebl.evolution.treemetrics
jebl.evolution.trees
jebl.evolution.treesimulation

## Uses of Taxon in jebl.evolution.alignments

Methods in jebl.evolution.alignments that return Taxon
Modifier and Type
Method
Description
`Taxon`
ConsensusSequence.`getTaxon()`
Methods in jebl.evolution.alignments that return types with arguments of type Taxon
Modifier and Type
Method
Description
`List<Taxon>`
BasicAlignment.`getTaxa()`
`List<Taxon>`
Pattern.`getTaxa()`
`List<Taxon>`
Patterns.`getTaxa()`
`List<Taxon>`
ResampledAlignment.`getTaxa()`
Methods in jebl.evolution.alignments with parameters of type Taxon
Modifier and Type
Method
Description
`Sequence`
BasicAlignment.`getSequence(Taxon taxon)`
`Sequence`
ResampledAlignment.`getSequence(Taxon taxon)`
Constructors in jebl.evolution.alignments with parameters of type Taxon
Modifier
Constructor
Description
``
`ConsensusSequence(Taxon taxon, Alignment source)`
Creates a FilteredSequence wrapper to the given source sequence.
``
`ConsensusSequence(Taxon taxon, Alignment source, boolean includeAmbiguities)`
Creates a FilteredSequence wrapper to the given source sequence.

## Uses of Taxon in jebl.evolution.characters

Methods in jebl.evolution.characters that return types with arguments of type Taxon
Modifier and Type
Method
Description
`Set<Taxon>`
Character.`getTaxa()`
get a Set<Taxon> of all the taxa for this character
`Set<Taxon>`
ContinuousCharacter.`getTaxa()`
`Set<Taxon>`
DiscreteCharacter.`getTaxa()`
Methods in jebl.evolution.characters with parameters of type Taxon
Modifier and Type
Method
Description
`void`
Character.`addTaxon(Taxon taxon)`
add a taxon with this character
`void`
ContinuousCharacter.`addTaxon(Taxon taxon)`
`void`
DiscreteCharacter.`addTaxon(Taxon taxon)`
`double`
ContinuousCharacter.`getSE(Taxon taxon)`
`Object`
Character.`getValue(Taxon taxon)`
get a value for a taxon containing the character
`Object`
ContinuousCharacter.`getValue(Taxon taxon)`
`Object`
DiscreteCharacter.`getValue(Taxon taxon)`
Method parameters in jebl.evolution.characters with type arguments of type Taxon
Modifier and Type
Method
Description
`void`
ContinuousCharacter.`addTaxa(Set<Taxon> taxa)`
set the taxa for this character with a previously constructed Set<Taxon>
Constructor parameters in jebl.evolution.characters with type arguments of type Taxon
Modifier
Constructor
Description
``
`ContinuousCharacter(String name, String desc, Set<Taxon> taxa)`
Constructs a basic ContinuousCharacter object with taxa added
``
`DiscreteCharacter(String name, String desc, int numOfStates, Set<Taxon> taxa)`
Constructs a basic DiscreteCharacter object with taxa

## Uses of Taxon in jebl.evolution.distances

Methods in jebl.evolution.distances that return types with arguments of type Taxon
Modifier and Type
Method
Description
`List<Taxon>`
BasicDistanceMatrix.`getTaxa()`
`List<Taxon>`
DistanceMatrix.`getTaxa()`
Methods in jebl.evolution.distances with parameters of type Taxon
Modifier and Type
Method
Description
`double`
BasicDistanceMatrix.`getDistance(Taxon taxonRow, Taxon taxonColumn)`
Gets the distance between 2 taxa
`double`
DistanceMatrix.`getDistance(Taxon taxonRow, Taxon taxonColumn)`
Gets the distance between 2 taxa
Method parameters in jebl.evolution.distances with type arguments of type Taxon
Modifier and Type
Method
Description
`DistanceMatrix`
BasicDistanceMatrix.`getSubmatrix(Collection<Taxon> taxonSubset)`
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).
`DistanceMatrix`
DistanceMatrix.`getSubmatrix(Collection<Taxon> taxa)`
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).
Constructor parameters in jebl.evolution.distances with type arguments of type Taxon
Modifier
Constructor
Description
``
`BasicDistanceMatrix(Collection<Taxon> taxa, double[][] distances)`

## Uses of Taxon in jebl.evolution.io

Methods in jebl.evolution.io that return types with arguments of type Taxon
Modifier and Type
Method
Description
`List<Taxon>`
NexusImporter.`parseTaxaBlock()`
Parse the next 'TAXA' block encountered in the input.
Method parameters in jebl.evolution.io with type arguments of type Taxon
Modifier and Type
Method
Description
`List<Sequence>`
NexusImporter.`parseCharactersBlock(List<Taxon> taxonList)`
Parse the next 'CHARACTERS' block encountered in the input.
`List<Sequence>`
NexusImporter.`parseDataBlock(List<Taxon> taxonList)`
Parse the next 'DATA' block encountered in the input.
`DistanceMatrix`
NexusImporter.`parseDistancesBlock(List<Taxon> taxonList)`
Parse the next 'DISTANCES' block encountered in the input.
`List<Tree>`
NexusImporter.`parseTreesBlock(List<Taxon> taxonList)`
Parse the next 'TREES' block encountered in the input.

## Uses of Taxon in jebl.evolution.sequences

Methods in jebl.evolution.sequences that return Taxon
Modifier and Type
Method
Description
`Taxon`
BasicSequence.`getTaxon()`
`Taxon`
CanonicalSequence.`getTaxon()`
`Taxon`
CodonSequence.`getTaxon()`
`Taxon`
FilteredSequence.`getTaxon()`
`Taxon`
Sequence.`getTaxon()`
Methods in jebl.evolution.sequences with parameters of type Taxon
Modifier and Type
Method
Description
`Sequence`
Sequences.`getSequence(Taxon taxon)`
Constructors in jebl.evolution.sequences with parameters of type Taxon
Modifier
Constructor
Description
``
`BasicSequence(SequenceType sequenceType, Taxon taxon, CharSequence sequenceString)`
Creates a sequence with a name corresponding to the taxon name.
``
`BasicSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`CanonicalSequence(SequenceType sequenceType, Taxon taxon, CharSequence sequenceString)`
Creates a sequence with a name corresponding to the taxon name.
``
`CanonicalSequence(SequenceType sequenceType, Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name
``
`CodonSequence(Taxon taxon, State[] states)`
Creates a sequence with a name corresponding to the taxon name

## Uses of Taxon in jebl.evolution.taxa

Methods in jebl.evolution.taxa that return Taxon
Modifier and Type
Method
Description
`static Taxon`
Taxon.`getTaxon(String name)`
A static method that returns a Taxon object with the given name.
Methods in jebl.evolution.taxa that return types with arguments of type Taxon
Modifier and Type
Method
Description
`static Set<Taxon>`
Taxon.`getAllTaxa()`
Methods in jebl.evolution.taxa with parameters of type Taxon
Modifier and Type
Method
Description
`boolean`
Taxon.`equals(Taxon t)`
Constructors in jebl.evolution.taxa with parameters of type Taxon
Modifier
Constructor
Description
``
`MissingTaxonException(Taxon taxon)`

## Uses of Taxon in jebl.evolution.treemetrics

Constructor parameters in jebl.evolution.treemetrics with type arguments of type Taxon
Modifier
Constructor
Description
``
`CladeHeightMetric(List<Taxon> taxa)`
``
`RobinsonsFouldMetric(List<Taxon> taxa)`

## Uses of Taxon in jebl.evolution.trees

Methods in jebl.evolution.trees that return Taxon
Modifier and Type
Method
Description
`Taxon`
CompactRootedTree.`getTaxon(Node node)`
`Taxon`
FilteredRootedTree.`getTaxon(Node node)`
`Taxon`
MutableRootedTree.`getTaxon(Node node)`
`Taxon`
ReRootedTree.`getTaxon(Node node)`
`Taxon`
RootedFromUnrooted.`getTaxon(Node node)`
`Taxon`
RootedSubtree.`getTaxon(Node node)`
`Taxon`
SimpleRootedTree.`getTaxon(Node node)`
`Taxon`
SimpleTree.`getTaxon(Node node)`
`Taxon`
Tree.`getTaxon(Node node)`
Methods in jebl.evolution.trees that return types with arguments of type Taxon
Modifier and Type
Method
Description
`Set<Taxon>`
CladeSystem.`getClade(int index)`
`Set<Taxon>`
CompactRootedTree.`getTaxa()`
`Set<Taxon>`
FilteredRootedTree.`getTaxa()`
`Set<Taxon>`
MutableRootedTree.`getTaxa()`
`Set<Taxon>`
ReRootedTree.`getTaxa()`
`Set<Taxon>`
RootedFromUnrooted.`getTaxa()`
`Set<Taxon>`
RootedSubtree.`getTaxa()`
`Set<Taxon>`
SimpleRootedTree.`getTaxa()`
`Set<Taxon>`
SimpleTree.`getTaxa()`
`List<Taxon>`
SplitSystem.`getTaxa()`
get taxon list
`Set<Taxon>`
Tree.`getTaxa()`
Methods in jebl.evolution.trees with parameters of type Taxon
Modifier and Type
Method
Description
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildUnRooted(Tree[] trees, Taxon outGroup, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`
`Node`
MutableRootedTree.`createExternalNode(Taxon taxon)`
Creates a new external node with the given taxon.
`Node`
SimpleRootedTree.`createExternalNode(Taxon taxon)`
Creates a new external node with the given taxon.
`Node`
SimpleTree.`createExternalNode(Taxon taxon)`
Creates a new external node with the given taxon.
`Node`
CompactRootedTree.`getNode(Taxon taxon)`
`Node`
FilteredRootedTree.`getNode(Taxon taxon)`
`Node`
MutableRootedTree.`getNode(Taxon taxon)`
`Node`
ReRootedTree.`getNode(Taxon taxon)`
`Node`
RootedFromUnrooted.`getNode(Taxon taxon)`
`Node`
RootedSubtree.`getNode(Taxon taxon)`
`Node`
SimpleRootedTree.`getNode(Taxon taxon)`
`Node`
SimpleTree.`getNode(Taxon taxon)`
`Node`
Tree.`getNode(Taxon taxon)`
`void`
CompactRootedTree.`renameTaxa(Taxon from, Taxon to)`
`void`
FilteredRootedTree.`renameTaxa(Taxon from, Taxon to)`
`void`
MutableRootedTree.`renameTaxa(Taxon from, Taxon to)`
`void`
ReRootedTree.`renameTaxa(Taxon from, Taxon to)`
`void`
RootedFromUnrooted.`renameTaxa(Taxon from, Taxon to)`
`void`
RootedSubtree.`renameTaxa(Taxon from, Taxon to)`
`void`
SimpleRootedTree.`renameTaxa(Taxon from, Taxon to)`
`void`
SimpleTree.`renameTaxa(Taxon from, Taxon to)`
`void`
Tree.`renameTaxa(Taxon from, Taxon to)`
Method parameters in jebl.evolution.trees with type arguments of type Taxon
Modifier and Type
Method
Description
`static void`
SplitUtils.`getSplit(List<Taxon> taxa, Tree tree, Edge edge, boolean[] split)`
get split for branch associated with internal node
`static SplitSystem`
SplitUtils.`getSplits(List<Taxon> taxa, Tree tree)`
creates a split system from a tree (using a pre-specified order of sequences)
`static Set<Node>`
RootedTreeUtils.`getTipsForTaxa(RootedTree tree, Collection<Taxon> taxa)`
Gets a set of external nodes that correspond to the given taxa.
Constructor parameters in jebl.evolution.trees with type arguments of type Taxon
Modifier
Constructor
Description
``
`RootedSubtree(RootedTree tree, Set<Taxon> includedTaxa)`
Make a copy of the given rooted tree
``
`SplitSystem(Collection<Taxon> taxa, int size)`
``
`TreeBiPartitionInfo(RootedTree t, List<Taxon> taxa)`

## Uses of Taxon in jebl.evolution.treesimulation

Constructor parameters in jebl.evolution.treesimulation with type arguments of type Taxon
Modifier
Constructor
Description
``
`TreeSimulator(Collection<Taxon> taxa, String heightAttributeName)`
A constructor for a given collection of taxa.